Skip to main content
GET
By location

Node.js SDK

🔗 SDK Method: fetchUsersByLocation Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

latitude
number
required

Latitude of the location

Example:

37.77

longitude
number
required

Longitude of the location

Example:

-122.41

viewer_fid
integer

FID of the user viewing the feed. Providing this will return a list of users that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
Example:

3

limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 100
Example:

25

cursor
string

Pagination cursor

Response

Success

next
NextCursor · object
required

Returns next cursor

users
User · object[]
required